{% extends 'base.html' %}

	{% block title %}Update Task{% endblock %}

	{% block content %}
		{% if user.is_anonymous == False %}
		<div class="container">
			<div class="row">
				<div class="col-6 offset-3">
					<h1 class="text-center my-3">Update Task</h1>
					{% if error == True %}
						<p class="text-danger">Task not found</p>
					{% endif %}
					<form action="{% url 'todolist:update_event' event_id %}" method="post">
						{% csrf_token %}

						<div class="mb-3">
						    <label for="event_name">event Name: </label>
						    <input class="form-control" id="event_name" type="text" name="event_name" value="{{ event_name }}" maxlength="50" required>
						</div>

						<div class="mb-3">
						    <label for="description">Description: </label>
						    <textarea class="form-control" name="description" required>{{ description }}</textarea>
						</div>

						<div class="mb-3">
						    <label for="status">Status: </label>
						    <input class="form-control" id="status" type="text" name="status" value="{{ status }}" maxlength="50" required>
						</div>

						<div class="text-center">
					    	<input class="btn btn-success" type="submit" value="Update event">
						</div>

					</form>
				</div>
			</div>
		</div>
		{% else %}
			<h1 class="text-center my-3">You are not authorized to access this page.</h1>
			<p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>
		{% endif %}
	{% endblock %}